v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/kits/upload/{fileId}/fileheaders
Parses file headers. Rights: DesignerKitListUpload.
Request
Path Parameters
-
fileId(required): string(uuid)
ID of the file.Example:
B1B8327AFAA6412287106192AB5984EF -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Query Parameters
-
containsHeadersRow: string
Specify whether the headers row is included. Default value is 'y'.Default Value:
yExample:y
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : UploadCSVHeaderResponse
Type:
objectTitle:
UploadCSVHeaderResponseContains CSV header response.
Show Source
-
headers: array
Headers
Title:
HeadersContains headers.
Nested Schema : Headers
Type:
arrayTitle:
HeadersContains headers.
Show Source
Example:
[
"Kit Number",
"Kit Type",
"Lot Number"
]Examples
400 Response
Invalid CSV file format or data
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID
Invalid file identifier
Invalid file identifier
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples